<?php
/**
 * Zarafa Z-Merge SugarCRM Connector
 *
 * Copyright (C) 2005 - 2008  Zarafa B.V.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * and under the terms of the GNU General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU (Affero) General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * and the GNU General Public License along with this program.
 * If not, see <http://www.gnu.org/licenses/>.
 *
 * Created on 10.06.2008 by Sebastian Kummer & Manfred Kutas
 *
 * NOTE: Action to perform the serverside 'archiveMail'
 * (only saves raw RFC822 message as file)
 *
 * @package Z-Merge
 * @subpackage SugarCRM-Connector
 */


if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');


/**
 * include connector config file
 */
require('inc.config.php');


/**
 *  include some definitions
 */
require('inc.defs.php');


/**
 * load sugar enviroment
 */
global $current_user, $sugar_config;
// only allow action if authenticated with an admin user!
if (!($current_user instanceOf User && $current_user->is_admin)) {
        echo "status: fail\n";
        echo "message: Upload error: no administrative user";
        exit();
}


/**
 * upload incoming file and return the correct URL for the next step
 */
if ($_FILES["archivefile"]["type"] == "message/rfc822"){
    if ($_FILES["archivefile"]["error"] > 0) {
        echo "status: fail\n";
        echo "message: Upload error: " . $_FILES["archivefile"]["error"];
    }
    else {

        $filekey = "zmerge_" . time() ."_". md5($_FILES["archivefile"]["name"]);
        if (!move_uploaded_file($_FILES["archivefile"]["tmp_name"], getcwd().'/'.$sugar_config['upload_dir'] . $filekey . ".eml")) {
            echo "status: failed\n";
            echo "message: could not move uploaded file\n";
        }
        else {
            echo "status: ok\n";
            echo "serverurl: ". $sugar_config['site_url'] ."/index.php?module=ZMerge&action=archivePopup&record=". $filekey . "&user=".urlencode($_REQUEST['user']). "&archiveident=".urlencode($_FILES["archivefile"]["name"])."\r\n";
        }
    }
}
else {
        echo "status: fail\n";
        echo "message: Not from type RFC822. Upload probably failed. Check your upload_max_filesize setting! Upload-Size: ". $_FILES["archivefile"]["size"] . " Error: ". $_FILES["archivefile"]["error"] ;
}
?>