<?php
/**
 * Zarafa Z-Merge SugarCRM Connector
 *
 * Copyright (C) 2005 - 2008  Zarafa B.V.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * and under the terms of the GNU General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU (Affero) General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * and the GNU General Public License along with this program.
 * If not, see <http://www.gnu.org/licenses/>.
 *
 * Created on 10.06.2008 by Sebastian Kummer & Manfred Kutas
 *
 * @package Z-Merge
 * @subpackage SugarCRM-Connector
 */

require_once('data/SugarBean.php');
require_once('modules/Contacts/Contact.php');
require_once('modules/Calls/Call.php');
require_once('modules/Meetings/Meeting.php');
require_once('modules/Notes/Note.php');
require_once('modules/Tasks/Task.php');

require_once('include/utils.php');

class ZMergeTrack {
    /**
     * Tracks changes made by sugar connector in SugarCRM
     *
     * @param SugarBean $bean
     * @param String $event
     * @param array $arguments
     * @return void
     */
    function ZMergeTrack(&$bean, $event, $arguments) {
        // reset counter for our event, because sugar is buggy!!! :-( (breaks on mass update)
        $bean->logicHookDepth[$event] = 0;

        $stmt = "INSERT INTO zmerge (crmid, type, modified, zmerge) VALUES('{$bean->id}', '{$bean->table_name}', NOW(), '" . ((isset($GLOBALS['zmerge_change']) && $GLOBALS['zmerge_change'] == "1") ? "1":"0") ."')";
        $bean->db->query($stmt, true);
    }
}
?>